Revoke a workspace Agent token
DELETE
/v1/workspaces/{workspaceId}/agent-tokens/{tokenId}
const url = 'https://shareout.site/v1/workspaces/example/agent-tokens/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://shareout.site/v1/workspaces/example/agent-tokens/example \ --header 'Authorization: Bearer <token>'Soft-revokes the token (sets revoked_at). The Agent principal keeps its artifacts; mint a new token to re-enable it. Owner/admin only.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” workspaceId
required
string
Workspace ID or slug.
tokenId
required
string
Responses
Section titled “ Responses ”Revoked
Caller is not a workspace owner/admin
Token not found or already revoked